using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FWindSoft.Data;

namespace Com.FirmLib.UI.Insuer.Model
{
    public class InsureAssetShowItem:BasePropertyChanged
    {
        public InsureAssetShowItem()
        {
            this.IsEnabled = true;
        }
        #region 带勾选标志

        private bool m_IsChecked;
        /// <summary>
        /// 是否选中
        /// </summary>
        public bool IsChecked
        {
            get { return this.m_IsChecked; }
            set
            {
                this.m_IsChecked = value;
                RaisePropertyChanged(nameof(this.IsChecked));
            }
        }


        private bool m_IsEnabled;
        /// <summary>
        /// 标志数据是否可以修改
        /// </summary>
        public bool IsEnabled
        {
            get { return this.m_IsEnabled; }
            set
            {
                this.m_IsEnabled = value;
                RaisePropertyChanged(nameof(this.IsEnabled));
            }
        }
        #endregion

        /// <summary>
        /// 项目Id
        /// </summary>
        public string ProjectId { get; set; }
        /// <summary>
        /// 设备编码
        /// </summary>
        public string FamilyCode { get; set; }

        private string m_AssetNo;
        /// <summary>
        /// 资产编号
        /// </summary>
        public string AssetNo
        {
            get { return this.m_AssetNo; }
            set
            {
                this.m_AssetNo = value;
                RaisePropertyChanged(() => this.AssetNo);
            }
        }

        private BaseAssetItem m_AssetItem;
        /// <summary>
        /// 资产基础信息
        /// </summary>
        public BaseAssetItem AssetItem
        {
            get { return this.m_AssetItem; }
            set
            {
                this.m_AssetItem = value;
                RaisePropertyChanged(() => this.AssetItem);
            }
        }

        private string m_InsurancePolicyNo;
        /// <summary>
        /// 保单编号
        /// </summary>
        public string InsurancePolicyNo
        {
            get { return this.m_InsurancePolicyNo; }
            set
            {
                this.m_InsurancePolicyNo = value;
                RaisePropertyChanged(() => this.InsurancePolicyNo);
            }
        }


        private string m_EndDate;
        /// <summary>
        /// 保单截止日期
        /// </summary>
        public string EndDate
        {
            get { return this.m_EndDate; }
            set
            {
                this.m_EndDate = value;
                RaisePropertyChanged(() => this.EndDate);
            }
        }

        private string m_PolicyFile;
        /// <summary>
        /// 保单文件
        /// </summary>
        public string PolicyFile
        {
            get { return this.m_PolicyFile; }
            set
            {
                this.m_PolicyFile = value;
                RaisePropertyChanged(() => this.PolicyFile);
            }
        }


        private string m_InsuerName;
        /// <summary>
        /// 保险商名称
        /// </summary>
        public string InsuerName
        {
            get { return this.m_InsuerName; }
            set
            {
                this.m_InsuerName = value;
                RaisePropertyChanged(nameof(this.InsuerName));
            }
        }
    }
}
